Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
restream = client.streaming.restreams.get(
0,
)
print(restream.client_user_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
restream, err := client.Streaming.Restreams.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", restream.ClientUserID)
}
curl --request GET \
--url https://api.gcore.com/streaming/restreams/{restream_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/restreams/{restream_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "first restream",
"active": true,
"uri": "rtmp://a.rtmp.youtube.com/live/k17a-13s8",
"stream_id": 20,
"client_user_id": 10
}Restreams
Get restream
Returns configuration and status details for a specific restream
GET
/
streaming
/
restreams
/
{restream_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
restream = client.streaming.restreams.get(
0,
)
print(restream.client_user_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
restream, err := client.Streaming.Restreams.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", restream.ClientUserID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Restream ID
Response
200 - application/json
Successful
Restream name
Indicates that the stream is being published. Has two possible values:
- true — stream is being published
- false — stream isn't published
Enables/Disables restream. Has two possible values:
-
true — restream is enabled and can be started
-
false — restream is disabled.
Default is true
A URL to push the stream to. Supported protocols: rtmp, rtmps, srt. For SRT target URLs, only mode=caller is supported.
Example:
"srt://example.com:1234?mode=caller"
ID of the stream to restream
Custom field where you can specify user ID in your system
Was this page helpful?